flink-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From fhue...@apache.org
Subject [3/3] flink git commit: [FLINK-2544] [docs] Add Java 8 version for building PowerMock tests to docs
Date Fri, 15 Apr 2016 18:52:24 GMT
[FLINK-2544] [docs] Add Java 8 version for building PowerMock tests to docs

Java 8 update 11 introduced a stricter bytecode verifier that leads
to failures in unit tests that use the PowerMock runner. The tests
run correctly in Java 8u51 or above.


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/c1eb247e
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/c1eb247e
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/c1eb247e

Branch: refs/heads/release-1.0
Commit: c1eb247e968a54f3f252ece792847c00b8ef5464
Parents: b4b08ca
Author: spkavuly <soila.p.kavulya@intel.com>
Authored: Wed Apr 13 12:02:57 2016 -0700
Committer: Fabian Hueske <fhueske@apache.org>
Committed: Fri Apr 15 14:08:24 2016 +0200

----------------------------------------------------------------------
 README.md              | 3 ++-
 docs/setup/building.md | 3 +++
 2 files changed, 5 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/c1eb247e/README.md
----------------------------------------------------------------------
diff --git a/README.md b/README.md
index 1597a58..8fd533b 100644
--- a/README.md
+++ b/README.md
@@ -80,7 +80,8 @@ mvn clean package -DskipTests # this will take up to 10 minutes
 
 Flink is now installed in `build-target`
 
-*NOTE: Maven 3.3.x can build Flink, but will not properly shade away certain dependencies.
Maven 3.0.3 creates the libraries properly.*
+*NOTE: Maven 3.3.x can build Flink, but will not properly shade away certain dependencies.
Maven 3.0.3 creates the libraries properly.
+To build unit tests with Java 8, use Java 8u51 or above to prevent failures in unit tests
that use the PowerMock runner.*
 
 ## Developing Flink
 

http://git-wip-us.apache.org/repos/asf/flink/blob/c1eb247e/docs/setup/building.md
----------------------------------------------------------------------
diff --git a/docs/setup/building.md b/docs/setup/building.md
index a1e768b..1848466 100644
--- a/docs/setup/building.md
+++ b/docs/setup/building.md
@@ -34,6 +34,9 @@ In order to build Flink you need the source code. Either [download the source
of
 
 In addition you need **Maven 3** and a **JDK** (Java Development Kit). Flink requires **at
least Java 7** to build. We recommend using Java 8.
 
+*NOTE: Maven 3.3.x can build Flink, but will not properly shade away certain dependencies.
Maven 3.0.3 creates the libraries properly.
+To build unit tests with Java 8, use Java 8u51 or above to prevent failures in unit tests
that use the PowerMock runner.*
+
 To clone from git, enter:
 
 ~~~bash


Mime
View raw message